# rtsp onvif server

The server object is the object listening for connections on a port and creating GstRTSPOnvifClient objects to handle those connections.

The only different to GstRTSPServer is that GstRTSPOnvifServer creates GstRTSPOnvifClient that have special handling for ONVIF specific features, like a backchannel that allows clients to send back media to the server.

## GstRTSPOnvifServer

    GObject
        ╰──GstRTSPServer
            ╰──GstRTSPOnvifServer

### Members

`parent` (GstRTSPServer) –
No description available

Since : 1.14

### Class structure

#### GstRTSPOnvifServerClass

##### Fields

`parent` (GstRTSPServerClass) –
No description available

### GstRtspServer.RTSPOnvifServerClass

##### Attributes

`parent` (GstRtspServer.RTSPServerClass) –
No description available

### GstRtspServer.RTSPOnvifServerClass

##### Attributes

`parent` (GstRtspServer.RTSPServerClass) –
No description available

## GstRtspServer.RTSPOnvifServer

    GObject.Object
        ╰──GstRtspServer.RTSPServer
            ╰──GstRtspServer.RTSPOnvifServer

### Members

`parent` (GstRtspServer.RTSPServer) –
No description available

Since : 1.14

## GstRtspServer.RTSPOnvifServer

    GObject.Object
        ╰──GstRtspServer.RTSPServer
            ╰──GstRtspServer.RTSPOnvifServer

### Members

`parent` (GstRtspServer.RTSPServer) –
No description available

Since : 1.14

### Constructors

#### gst_rtsp_onvif_server_new

    GstRTSPServer *
    gst_rtsp_onvif_server_new ()

Create a new GstRTSPOnvifServer instance.

Returns ( [transfer: full]) –

a new GstRTSPOnvifServer

#### GstRtspServer.RTSPOnvifServer.prototype.new

    function GstRtspServer.RTSPOnvifServer.prototype.new(): {
        // javascript wrapper for 'gst_rtsp_onvif_server_new'
    }

Create a new GstRtspServer.RTSPOnvifServer instance.

Returns (GstRtspServer.RTSPServer) –

a new GstRtspServer.RTSPOnvifServer

#### GstRtspServer.RTSPOnvifServer.new

    def GstRtspServer.RTSPOnvifServer.new ():
        #python wrapper for 'gst_rtsp_onvif_server_new'

Create a new GstRtspServer.RTSPOnvifServer instance.

Returns (GstRtspServer.RTSPServer) –

a new GstRtspServer.RTSPOnvifServer

## Function Macros

### GST_RTSP_ONVIF_SERVER_CAST

    #define GST_RTSP_ONVIF_SERVER_CAST(obj)         ((GstRTSPOnvifServer*)(obj))

### GST_RTSP_ONVIF_SERVER_CLASS_CAST

    #define GST_RTSP_ONVIF_SERVER_CLASS_CAST(klass) ((GstRTSPOnvifServerClass*)(klass))

## Constants

### GST_RTSP_ONVIF_BACKCHANNEL_REQUIREMENT

    #define GST_RTSP_ONVIF_BACKCHANNEL_REQUIREMENT "www.onvif.org/ver20/backchannel"

### GstRtspServer.RTSP_ONVIF_BACKCHANNEL_REQUIREMENT

### GST_RTSP_ONVIF_REPLAY_REQUIREMENT

    #define GST_RTSP_ONVIF_REPLAY_REQUIREMENT "onvif-replay"

### GstRtspServer.RTSP_ONVIF_REPLAY_REQUIREMENT

The results of the search are